org.keycloak.authentication.authenticators.x509

## Class CertificateValidator.CertificateValidatorBuilder

- java.lang.Object
- - org.keycloak.authentication.authenticators.x509.CertificateValidator.CertificateValidatorBuilder

- Enclosing class:
    CertificateValidator

      public static class CertificateValidator.CertificateValidatorBuilder
      extends Object

  Configure Certificate validation

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `CertificateValidator.CertificateValidatorBuilder.ExtendedKeyUsageValidationBuilder`
    `class` | `CertificateValidator.CertificateValidatorBuilder.KeyUsageValidationBuilder`
    `class` | `CertificateValidator.CertificateValidatorBuilder.RevocationStatusCheckBuilder`
    `class` | `CertificateValidator.CertificateValidatorBuilder.TimestampValidationBuilder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateValidatorBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CertificateValidator` | `build(X509Certificate[] certs)`
    `CertificateValidator.CertificateValidatorBuilder.ExtendedKeyUsageValidationBuilder` | `extendedKeyUsage()`
    `CertificateValidator.CertificateValidatorBuilder.KeyUsageValidationBuilder` | `keyUsage()`
    `CertificateValidator.CertificateValidatorBuilder.RevocationStatusCheckBuilder` | `revocation()`
    `CertificateValidator.CertificateValidatorBuilder` | `session(KeycloakSession session)`
    `CertificateValidator.CertificateValidatorBuilder.TimestampValidationBuilder` | `timestampValidation()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateValidatorBuilder

          public CertificateValidatorBuilder()

  - ### Method Detail

    - #### session

          public CertificateValidator.CertificateValidatorBuilder session(KeycloakSession session)

    - #### keyUsage

          public CertificateValidator.CertificateValidatorBuilder.KeyUsageValidationBuilder keyUsage()

    - #### extendedKeyUsage

          public CertificateValidator.CertificateValidatorBuilder.ExtendedKeyUsageValidationBuilder extendedKeyUsage()

    - #### revocation

          public CertificateValidator.CertificateValidatorBuilder.RevocationStatusCheckBuilder revocation()

    - #### timestampValidation

          public CertificateValidator.CertificateValidatorBuilder.TimestampValidationBuilder timestampValidation()

    - #### build

          public CertificateValidator build(X509Certificate[] certs)

Copyright © 2021 JBoss by Red Hat. All rights reserved.